Show / Hide Table of Contents

# TaskPool<T> Struct

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public struct TaskPool<T>
        where T : class, ITaskPoolNode<T>

#### Type Parameters

`T`

### Members

#### Properties

Name | Description
--- | ---
Size |

#### Methods

Name | Description
--- | ---
TryPop(out T) |
TryPush(T) |

### Properties

#### Size

    public int Size { get; }

##### Property Value

System.Int32

### Methods

#### TryPop(out T)

    public bool TryPop(out T result)

##### Parameters

`result` T

##### Returns

System.Boolean

#### TryPush(T)

    public bool TryPush(T item)

##### Parameters

`item` T

##### Returns

System.Boolean